<style>
.camera_icon {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
}
</style>
<h2>{{title}}</h2>
<form autocomplete="off" action="#" method="post" accept-charset="utf-8" class="mform">
	<input id="id" name="id" type="hidden" class="form-control" value="{{id}}">
	<div class="form-row">
		<div class="form-group col-4">
			<label for="ad" class="col col-form-label">Ad</label> 
			<div class="col">
			  <input id="ad" name="ad" type="text" class="form-control" value="{{ad}}">
			</div>
		  </div>
		  <div class="form-group col-4">
			<label for="baslik" class="col col-form-label">Başlık</label> 
			<div class="col">
			  <input id="baslik" name="baslik" type="text" class="form-control" value="{{baslik}}">
			</div>
		  </div>
		  <div class="form-group col-2">
			<label for="duzey" class="col col-form-label">Düzey</label> 
			<div class="col">
			  <select id="duzey" name="duzey" class="custom-select" style="width: 100%;" required="required">
				{{#duzeyoption}}
					{{{option}}}
				{{/duzeyoption}}
			  </select>
			</div>
		  </div>
		  
		  <div class="form-group col-2">
			<label for="zorluk" class="col col-form-label">Zorluk</label> 
			<div class="col">
			  <select id="zorluk" name="zorluk" class="custom-select" style="width: 100%;" required="required">
				{{#zorlukoption}}
					{{{option}}}
				{{/zorlukoption}}
			  </select>
			</div>
		  </div>
	 </div>
	 <div class="form-row">
		 
		 
		 <div class="form-group col-2">
			<label class="col col-form-label" for="yksuygunluk">YKS Uygunluk</label> 
			<div class="col">
			  <select id="yksuygunluk" name="yksuygunluk" class="custom-select" style="width: 100%;" required="required">
				{{#yksuygunlukoption}}
					{{{option}}}
				{{/yksuygunlukoption}}
			  </select>
			</div>
		  </div>
	
		  <div class="form-group col-2">
			<label for="Soru Çeşitliliği" class="col col-form-label">Soru Çeşitliliği</label> 
			<div class="col">
			  <select id="sorucesitliligi" name="sorucesitliligi" class="custom-select" style="width: 100%;">
				{{#sorucesitliligioption}}
					{{{option}}}
				{{/sorucesitliligioption}}
			  </select>
			</div>
		  </div>
		  <div class="form-group col-2">
			<label for="sinav" class="col col-form-label">Sınav</label> 
			<div class="col">
			  <select id="sinav" name="sinav" class="custom-select" style="width: 100%;">
				{{#sinavoption}}
					{{{option}}}
				{{/sinavoption}}
			  </select>
			</div>
		 </div>
		 <div class="form-group col-2">
			<label for="ders" class="col col-form-label">Ders</label> 
			<div class="col">
			  <select id="ders" name="ders" class="custom-select" style="width: 100%;">
				{{#dersoption}}
					{{{option}}}
				{{/dersoption}}
			  </select>
			</div>
		</div>
		
		<div class="form-group col-2">
			<label for="tasarim" class="col col-form-label">Tasarım</label> 
			<div class="col">
			  <select id="tasarim" name="tasarim" class="custom-select" style="width: 100%;">
				{{#tasarimoption}}
					{{{option}}}
				{{/tasarimoption}}
			  </select>
			</div>
		</div>
	  </div>
	  <div class="form-row">
		<div class="form-group col-6">
			<label for="aciklama" class="col col-form-label">Açıklama</label> 
			<div class="col">
			  <textarea id="aciklama" name="aciklama" cols="40" rows="5" class="form-control">{{aciklama}}</textarea>
			</div>
		  </div>
		<div class="form-group col-4">
			<label for="file_photo" class="file">  
			<div class="camera_icon" id="camera_icon">
				 <img width="250px" src="{{config.wwwroot}}/local/staticpage/{{resim}}" class="plus_icon">
				 <input name="resim" id="resim" type="hidden" value="{{resim}}">
			</div>
			<input type="file" id="file_photo" name="item_image"></input>
			</label>
		</div>
	</div>
       
      <div class="form-group">
        <div class="offset-4 col-8">
          <a id="kaydet" class="btn btn-primary">Kaydet</a>
          <a href="{{config.wwwroot}}/local/staticpage/templates/kitaponerileri_admin.php" class="btn btn-danger"><i class="fa fa-arrow-left"></i>Kitap Listesi</a>
        </div>
      </div>
    </form>
</table>
{{#js}}
require(['jquery','core/config'], function($, config){
	$('#kaydet').on('click', function(e){
		buttonhtml = '';
		$.ajax({
			url: '{{config.wwwroot}}/local/staticpage/templates/kitaponerileri_save.php',
			method: 'POST',
			data: {
				id: $('#id').val(),
				ad: $('#ad').val(),
				baslik: $('#baslik').val(),
				duzey: $('#duzey').val(),
				zorluk: $('#zorluk').val(),
				yksuygunluk: $('#yksuygunluk').val(),
				sorucesitliligi: $('#sorucesitliligi').val(),
				tasarim: $('#tasarim').val(),
				sinav: $('#sinav').val(),
				resim: $('#resim').val(),
				ders: $('#ders').val(),
				aciklama: $('#aciklama').val(),
				action: '{{action}}',
				sesskey: M.cfg.sesskey,
			},
			beforeSend: function(){
				buttonhtml = $('#kaydet').html();
				$('#kaydet').html('<i class="fa fa-spinner"></i>');
			},
			success: function(e){
				console.log(e);
				$('#kaydet').html(buttonhtml);
				location.reload();
			}
		})
	})

	 function readURL(input) {
			if (input.files && input.files[0]) {
				var reader = new FileReader();
				
				reader.onload = function (e) {
					$('.plus_icon').attr('src', e.target.result);
					//$('#resim').val(e.target.result);
					//document.getElementById('camera_icon').style.backgroundImage="url( " + e.target.result + ")";
				}
				$('#resim').val(input.files[0].name);
				reader.readAsDataURL(input.files[0]);
			}
		}
		
		$("#file_photo").change(function(){
			readURL(this);
		});
	})
{{/js}}